--IP Functional Simulation Model
--VERSION_BEGIN 14.0 cbx_mgl 2014:06:17:18:10:38:SJ cbx_simgen 2014:06:17:18:06:03:SJ  VERSION_END


-- Copyright (C) 1991-2014 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus II License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = lut 13 mux21 32 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  LPDDR2x32_dmaster_b2p IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 in_data	:	IN  STD_LOGIC_VECTOR (7 DOWNTO 0);
		 in_ready	:	OUT  STD_LOGIC;
		 in_valid	:	IN  STD_LOGIC;
		 out_channel	:	OUT  STD_LOGIC_VECTOR (7 DOWNTO 0);
		 out_data	:	OUT  STD_LOGIC_VECTOR (7 DOWNTO 0);
		 out_endofpacket	:	OUT  STD_LOGIC;
		 out_ready	:	IN  STD_LOGIC;
		 out_startofpacket	:	OUT  STD_LOGIC;
		 out_valid	:	OUT  STD_LOGIC;
		 reset_n	:	IN  STD_LOGIC
	 ); 
 END LPDDR2x32_dmaster_b2p;

 ARCHITECTURE RTL OF LPDDR2x32_dmaster_b2p IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_0_82q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_1_125q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_2_124q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_3_123q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_4_122q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_5_121q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_6_120q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_7_119q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_118q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_67q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nO_w57w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_100m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_101m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_102m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_103m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_104m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_105m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_106m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_107m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_108m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_109m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_94m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_95m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_96m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_97m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_98m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_99m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_data_5_39m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_45m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_49m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_58m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_44m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_48m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_57m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_75m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_76m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_46m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_50m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_51m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_42m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_43m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_47m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_55m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_w_lg_w_in_data_range10w85w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w51w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w50w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w55w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w53w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_in_data_range13w77w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always0_56_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_79_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_80_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_89_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_0_175_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_0_166_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_0_184_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_0_193_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
	 SIGNAL  wire_w_in_data_range10w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_in_data_range13w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_w_lg_w_in_data_range10w85w(0) <= wire_w_in_data_range10w(0) AND wire_w_lg_w_in_data_range13w77w(0);
	wire_w51w(0) <= NOT s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_0_175_dataout;
	wire_w50w(0) <= NOT s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_0_166_dataout;
	wire_w55w(0) <= NOT s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_0_184_dataout;
	wire_w53w(0) <= NOT s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_0_193_dataout;
	wire_w_lg_w_in_data_range13w77w(0) <= NOT wire_w_in_data_range13w(0);
	in_ready <= out_ready;
	out_channel <= ( lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_7_119q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_6_120q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_5_121q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_4_122q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_3_123q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_2_124q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_1_125q & lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_0_82q);
	out_data <= ( in_data(7 DOWNTO 6) & wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_data_5_39m_dataout & in_data(4 DOWNTO 0));
	out_endofpacket <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_118q;
	out_startofpacket <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_67q;
	out_valid <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_76m_dataout;
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always0_56_dataout <= (out_ready AND wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_76m_dataout);
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_79_dataout <= (out_ready AND in_valid);
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_80_dataout <= (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_89_dataout);
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout <= (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q AND s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_80_dataout);
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_89_dataout <= (((wire_w50w(0) AND wire_w51w(0)) AND wire_w53w(0)) AND wire_w55w(0));
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout <= (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q AND (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q OR (wire_nO_w57w(0) AND s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_89_dataout)));
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_0_175_dataout <= (((((((in_data(0) AND in_data(1)) AND (NOT in_data(2))) AND in_data(3)) AND in_data(4)) AND in_data(5)) AND in_data(6)) AND (NOT in_data(7)));
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_0_166_dataout <= ((((((((NOT in_data(0)) AND in_data(1)) AND (NOT in_data(2))) AND in_data(3)) AND in_data(4)) AND in_data(5)) AND in_data(6)) AND (NOT in_data(7)));
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_0_184_dataout <= ((((((((NOT in_data(0)) AND wire_w_lg_w_in_data_range13w77w(0)) AND in_data(2)) AND in_data(3)) AND in_data(4)) AND in_data(5)) AND in_data(6)) AND (NOT in_data(7)));
	s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_0_193_dataout <= ((((((wire_w_lg_w_in_data_range10w85w(0) AND in_data(2)) AND in_data(3)) AND in_data(4)) AND in_data(5)) AND in_data(6)) AND (NOT in_data(7)));
	s_wire_vcc <= '1';
	wire_w_in_data_range10w(0) <= in_data(0);
	wire_w_in_data_range13w(0) <= in_data(1);
	PROCESS (clk, reset_n)
	BEGIN
		IF (reset_n = '0') THEN
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_0_82q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_1_125q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_2_124q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_3_123q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_4_122q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_5_121q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_6_120q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_7_119q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_118q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_67q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q <= '0';
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_79_dataout = '1') THEN
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_0_82q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_109m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_1_125q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_108m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_2_124q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_107m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_3_123q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_106m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_4_122q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_105m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_5_121q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_104m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_6_120q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_103m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_7_119q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_102m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_118q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_58m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_67q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_57m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_51m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_47m_dataout;
				lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_55m_dataout;
			END IF;
		END IF;
	END PROCESS;
	wire_nO_w57w(0) <= NOT lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_100m_dataout <= in_data(1) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_1_125q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_101m_dataout <= in_data(0) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_0_82q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_102m_dataout <= in_data(7) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_94m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_103m_dataout <= in_data(6) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_95m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_104m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_data_5_39m_dataout WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_96m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_105m_dataout <= in_data(4) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_97m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_106m_dataout <= in_data(3) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_98m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_107m_dataout <= in_data(2) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_99m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_108m_dataout <= in_data(1) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_100m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_109m_dataout <= in_data(0) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_101m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_94m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_0_82q WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_7_119q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_95m_dataout <= in_data(6) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_6_120q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_96m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_data_5_39m_dataout WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_5_121q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_97m_dataout <= in_data(4) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_4_122q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_98m_dataout <= in_data(3) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_3_123q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_99m_dataout <= in_data(2) WHEN s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_93_dataout = '1'  ELSE lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_channel_2_124q;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_data_5_39m_dataout <= (NOT in_data(5)) WHEN lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q = '1'  ELSE in_data(5);
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_45m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_118q OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_0_175_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_49m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_118q WHEN lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_45m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_58m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_49m_dataout AND NOT(s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always0_56_dataout);
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_44m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_67q OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_0_166_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_48m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_67q WHEN lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_44m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_57m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_48m_dataout AND NOT(s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always0_56_dataout);
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_75m_dataout <= (NOT (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q OR lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q)) WHEN lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q = '1'  ELSE (NOT (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q OR (lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q OR (((s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_startofpacket_0_166_dataout OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_endofpacket_0_175_dataout) OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_0_193_dataout) OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_0_184_dataout))));
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_76m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_out_valid_75m_dataout AND in_valid;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_46m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_0_184_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_50m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q WHEN lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_46m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_51m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_50m_dataout AND NOT(s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_81_dataout);
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_42m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q AND NOT(((out_ready OR lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_channel_65q) OR lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q));
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_43m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q OR s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_0_193_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_47m_dataout <= wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_42m_dataout WHEN lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_64q = '1'  ELSE wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_esc_43m_dataout;
	wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_55m_dataout <= lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q AND NOT((((NOT in_data(7)) AND lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_received_varchannel_66q) AND s_wire_lpddr2x32_dmaster_b2p_altera_avalon_st_bytes_to_packets_b2p_always2_80_dataout));

 END RTL; --LPDDR2x32_dmaster_b2p
--synopsys translate_on
--VALID FILE
