--IP Functional Simulation Model
--VERSION_BEGIN 14.0 cbx_mgl 2014:06:17:18:10:38:SJ cbx_simgen 2014:06:17:18:06:03:SJ  VERSION_END


-- Copyright (C) 1991-2014 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus II License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

--synthesis_resources = lut 179 mux21 74 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  LPDDR2x32_s0_seq_bridge IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 m0_address	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 m0_burstcount	:	OUT  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 m0_byteenable	:	OUT  STD_LOGIC_VECTOR (3 DOWNTO 0);
		 m0_debugaccess	:	OUT  STD_LOGIC;
		 m0_read	:	OUT  STD_LOGIC;
		 m0_readdata	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 m0_readdatavalid	:	IN  STD_LOGIC;
		 m0_waitrequest	:	IN  STD_LOGIC;
		 m0_write	:	OUT  STD_LOGIC;
		 m0_writedata	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 reset	:	IN  STD_LOGIC;
		 s0_address	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 s0_burstcount	:	IN  STD_LOGIC_VECTOR (0 DOWNTO 0);
		 s0_byteenable	:	IN  STD_LOGIC_VECTOR (3 DOWNTO 0);
		 s0_debugaccess	:	IN  STD_LOGIC;
		 s0_read	:	IN  STD_LOGIC;
		 s0_readdata	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 s0_readdatavalid	:	OUT  STD_LOGIC;
		 s0_waitrequest	:	OUT  STD_LOGIC;
		 s0_write	:	IN  STD_LOGIC;
		 s0_writedata	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0)
	 ); 
 END LPDDR2x32_s0_seq_bridge;

 ARCHITECTURE RTL OF LPDDR2x32_s0_seq_bridge IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_0_362q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_10_352q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_11_351q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_12_350q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_13_349q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_14_348q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_15_347q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_16_346q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_17_345q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_18_344q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_19_343q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_1_361q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_20_342q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_21_341q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_22_340q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_23_339q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_24_338q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_25_337q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_26_336q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_27_335q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_28_334q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_29_333q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_2_360q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_30_332q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_31_331q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_3_359q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_4_358q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_5_357q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_6_356q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_7_355q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_8_354q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_9_353q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_debugaccess_512q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_read_364q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_write_363q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_0_326q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_10_316q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_11_315q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_12_314q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_13_313q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_14_312q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_15_311q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_16_310q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_17_309q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_18_308q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_19_307q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_1_325q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_20_306q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_21_305q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_22_304q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_23_303q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_24_302q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_25_301q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_26_300q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_27_299q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_28_298q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_29_297q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_2_324q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_30_296q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_31_295q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_3_323q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_4_322q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_5_321q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_6_320q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_7_319q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_8_318q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_9_317q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_burstcount_0_294q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_0_330q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_1_329q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_2_328q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_3_327q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_0_617q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_10_607q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_11_606q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_12_605q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_13_604q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_14_603q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_15_602q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_16_601q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_17_600q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_18_599q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_19_598q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_1_616q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_20_597q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_21_596q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_22_595q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_23_594q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_24_593q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_25_592q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_26_591q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_27_590q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_28_589q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_29_588q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_2_615q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_30_587q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_31_586q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_3_614q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_4_613q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_5_612q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_6_611q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_7_610q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_8_609q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_9_608q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdatavalid_585q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_0_581q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_10_571q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_11_570q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_12_569q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_13_568q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_14_567q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_15_566q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_16_565q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_17_564q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_18_563q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_19_562q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_1_580q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_20_561q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_21_560q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_22_559q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_23_558q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_24_557q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_25_556q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_26_555q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_27_554q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_28_553q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_29_552q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_2_579q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_30_551q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_31_550q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_3_578q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_4_577q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_5_576q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_6_575q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_7_574q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_8_573q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_9_572q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_debugaccess_584q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_read_583q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_write_582q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_0_545q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_10_535q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_11_534q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_12_533q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_13_532q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_14_531q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_15_530q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_16_529q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_17_528q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_18_527q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_19_526q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_1_544q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_20_525q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_21_524q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_22_523q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_23_522q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_24_521q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_25_520q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_26_519q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_27_518q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_28_517q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_29_516q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_2_543q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_30_515q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_31_514q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_3_542q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_4_541q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_5_540q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_6_539q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_7_538q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_8_537q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_9_536q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_burstcount_0_513q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_0_549q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_1_548q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_2_547q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_3_546q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q	:	STD_LOGIC := '0';
	 SIGNAL	lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_waitrequest_292q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nO_w107w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_290m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_291m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_0_429m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_10_419m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_11_418m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_12_417m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_13_416m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_14_415m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_15_414m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_16_413m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_17_412m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_18_411m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_19_410m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_1_428m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_20_409m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_21_408m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_22_407m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_23_406m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_24_405m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_25_404m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_26_403m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_27_402m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_28_401m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_29_400m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_2_427m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_30_399m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_31_398m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_3_426m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_4_425m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_5_424m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_6_423m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_7_422m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_8_421m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_9_420m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_burstcount_0_365m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_0_435m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_1_434m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_2_433m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_3_432m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_debugaccess_436m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_read_431m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_write_430m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_0_397m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_10_387m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_11_386m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_12_385m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_13_384m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_14_383m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_15_382m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_16_381m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_17_380m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_18_379m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_19_378m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_1_396m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_20_377m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_21_376m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_22_375m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_23_374m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_24_373m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_25_372m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_26_371m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_27_370m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_28_369m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_29_368m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_2_395m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_30_367m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_31_366m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_3_394m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_4_393m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_5_392m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_6_391m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_7_390m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_8_389m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_9_388m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_w_lg_reset109w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w181w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wait_rise_217_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
 BEGIN

	wire_w_lg_reset109w(0) <= NOT reset;
	wire_w181w(0) <= NOT s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout;
	m0_address <= ( lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_31_550q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_30_551q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_29_552q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_28_553q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_27_554q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_26_555q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_25_556q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_24_557q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_23_558q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_22_559q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_21_560q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_20_561q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_19_562q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_18_563q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_17_564q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_16_565q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_15_566q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_14_567q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_13_568q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_12_569q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_11_570q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_10_571q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_9_572q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_8_573q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_7_574q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_6_575q
 & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_5_576q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_4_577q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_3_578q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_2_579q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_1_580q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_0_581q);
	m0_burstcount(0) <= ( lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_burstcount_0_513q);
	m0_byteenable <= ( lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_3_546q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_2_547q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_1_548q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_0_549q);
	m0_debugaccess <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_debugaccess_584q;
	m0_read <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_read_583q;
	m0_write <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_write_582q;
	m0_writedata <= ( lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_31_514q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_30_515q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_29_516q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_28_517q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_27_518q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_26_519q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_25_520q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_24_521q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_23_522q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_22_523q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_21_524q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_20_525q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_19_526q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_18_527q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_17_528q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_16_529q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_15_530q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_14_531q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_13_532q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_12_533q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_11_534q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_10_535q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_9_536q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_8_537q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_7_538q
 & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_6_539q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_5_540q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_4_541q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_3_542q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_2_543q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_1_544q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_0_545q);
	s0_readdata <= ( lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_31_586q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_30_587q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_29_588q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_28_589q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_27_590q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_26_591q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_25_592q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_24_593q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_23_594q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_22_595q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_21_596q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_20_597q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_19_598q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_18_599q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_17_600q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_16_601q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_15_602q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_14_603q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_13_604q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_12_605q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_11_606q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_10_607q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_9_608q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_8_609q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_7_610q
 & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_6_611q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_5_612q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_4_613q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_3_614q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_2_615q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_1_616q & lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_0_617q);
	s0_readdatavalid <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdatavalid_585q;
	s0_waitrequest <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_waitrequest_292q;
	s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout <= (m0_waitrequest AND (lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_write_582q OR lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_read_583q));
	s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wait_rise_217_dataout <= (wire_nO_w107w(0) AND s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout);
	s_wire_vcc <= '1';
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_0_362q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_10_352q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_11_351q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_12_350q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_13_349q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_14_348q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_15_347q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_16_346q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_17_345q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_18_344q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_19_343q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_1_361q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_20_342q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_21_341q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_22_340q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_23_339q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_24_338q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_25_337q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_26_336q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_27_335q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_28_334q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_29_333q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_2_360q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_30_332q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_31_331q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_3_359q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_4_358q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_5_357q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_6_356q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_7_355q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_8_354q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_9_353q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_debugaccess_512q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_read_364q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_write_363q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_0_326q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_10_316q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_11_315q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_12_314q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_13_313q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_14_312q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_15_311q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_16_310q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_17_309q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_18_308q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_19_307q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_1_325q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_20_306q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_21_305q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_22_304q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_23_303q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_24_302q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_25_301q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_26_300q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_27_299q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_28_298q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_29_297q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_2_324q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_30_296q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_31_295q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_3_323q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_4_322q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_5_321q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_6_320q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_7_319q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_8_318q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_9_317q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wait_rise_217_dataout = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_0_362q <= s0_address(0);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_10_352q <= s0_address(10);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_11_351q <= s0_address(11);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_12_350q <= s0_address(12);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_13_349q <= s0_address(13);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_14_348q <= s0_address(14);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_15_347q <= s0_address(15);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_16_346q <= s0_address(16);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_17_345q <= s0_address(17);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_18_344q <= s0_address(18);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_19_343q <= s0_address(19);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_1_361q <= s0_address(1);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_20_342q <= s0_address(20);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_21_341q <= s0_address(21);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_22_340q <= s0_address(22);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_23_339q <= s0_address(23);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_24_338q <= s0_address(24);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_25_337q <= s0_address(25);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_26_336q <= s0_address(26);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_27_335q <= s0_address(27);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_28_334q <= s0_address(28);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_29_333q <= s0_address(29);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_2_360q <= s0_address(2);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_30_332q <= s0_address(30);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_31_331q <= s0_address(31);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_3_359q <= s0_address(3);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_4_358q <= s0_address(4);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_5_357q <= s0_address(5);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_6_356q <= s0_address(6);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_7_355q <= s0_address(7);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_8_354q <= s0_address(8);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_9_353q <= s0_address(9);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_debugaccess_512q <= s0_debugaccess;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_read_364q <= s0_read;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_write_363q <= s0_write;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_0_326q <= s0_writedata(0);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_10_316q <= s0_writedata(10);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_11_315q <= s0_writedata(11);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_12_314q <= s0_writedata(12);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_13_313q <= s0_writedata(13);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_14_312q <= s0_writedata(14);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_15_311q <= s0_writedata(15);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_16_310q <= s0_writedata(16);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_17_309q <= s0_writedata(17);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_18_308q <= s0_writedata(18);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_19_307q <= s0_writedata(19);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_1_325q <= s0_writedata(1);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_20_306q <= s0_writedata(20);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_21_305q <= s0_writedata(21);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_22_304q <= s0_writedata(22);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_23_303q <= s0_writedata(23);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_24_302q <= s0_writedata(24);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_25_301q <= s0_writedata(25);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_26_300q <= s0_writedata(26);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_27_299q <= s0_writedata(27);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_28_298q <= s0_writedata(28);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_29_297q <= s0_writedata(29);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_2_324q <= s0_writedata(2);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_30_296q <= s0_writedata(30);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_31_295q <= s0_writedata(31);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_3_323q <= s0_writedata(3);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_4_322q <= s0_writedata(4);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_5_321q <= s0_writedata(5);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_6_320q <= s0_writedata(6);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_7_319q <= s0_writedata(7);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_8_318q <= s0_writedata(8);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_9_317q <= s0_writedata(9);
			END IF;
		END IF;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_burstcount_0_294q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_0_330q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_1_329q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_2_328q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_3_327q <= '1';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wait_rise_217_dataout = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_burstcount_0_294q <= s0_burstcount(0);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_0_330q <= s0_byteenable(0);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_1_329q <= s0_byteenable(1);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_2_328q <= s0_byteenable(2);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_3_327q <= s0_byteenable(3);
			END IF;
		END IF;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_burstcount_0_294q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_0_330q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_1_329q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_2_328q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_3_327q <= '1' after 1 ps;
		end if;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_0_617q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_10_607q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_11_606q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_12_605q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_13_604q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_14_603q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_15_602q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_16_601q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_17_600q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_18_599q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_19_598q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_1_616q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_20_597q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_21_596q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_22_595q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_23_594q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_24_593q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_25_592q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_26_591q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_27_590q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_28_589q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_29_588q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_2_615q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_30_587q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_31_586q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_3_614q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_4_613q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_5_612q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_6_611q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_7_610q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_8_609q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_9_608q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdatavalid_585q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_0_617q <= m0_readdata(0);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_10_607q <= m0_readdata(10);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_11_606q <= m0_readdata(11);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_12_605q <= m0_readdata(12);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_13_604q <= m0_readdata(13);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_14_603q <= m0_readdata(14);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_15_602q <= m0_readdata(15);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_16_601q <= m0_readdata(16);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_17_600q <= m0_readdata(17);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_18_599q <= m0_readdata(18);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_19_598q <= m0_readdata(19);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_1_616q <= m0_readdata(1);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_20_597q <= m0_readdata(20);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_21_596q <= m0_readdata(21);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_22_595q <= m0_readdata(22);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_23_594q <= m0_readdata(23);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_24_593q <= m0_readdata(24);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_25_592q <= m0_readdata(25);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_26_591q <= m0_readdata(26);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_27_590q <= m0_readdata(27);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_28_589q <= m0_readdata(28);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_29_588q <= m0_readdata(29);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_2_615q <= m0_readdata(2);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_30_587q <= m0_readdata(30);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_31_586q <= m0_readdata(31);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_3_614q <= m0_readdata(3);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_4_613q <= m0_readdata(4);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_5_612q <= m0_readdata(5);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_6_611q <= m0_readdata(6);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_7_610q <= m0_readdata(7);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_8_609q <= m0_readdata(8);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdata_9_608q <= m0_readdata(9);
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_rsp_readdatavalid_585q <= m0_readdatavalid;
		END IF;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_0_581q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_10_571q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_11_570q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_12_569q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_13_568q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_14_567q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_15_566q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_16_565q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_17_564q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_18_563q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_19_562q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_1_580q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_20_561q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_21_560q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_22_559q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_23_558q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_24_557q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_25_556q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_26_555q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_27_554q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_28_553q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_29_552q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_2_579q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_30_551q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_31_550q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_3_578q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_4_577q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_5_576q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_6_575q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_7_574q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_8_573q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_9_572q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_debugaccess_584q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_read_583q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_write_582q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_0_545q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_10_535q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_11_534q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_12_533q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_13_532q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_14_531q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_15_530q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_16_529q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_17_528q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_18_527q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_19_526q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_1_544q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_20_525q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_21_524q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_22_523q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_23_522q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_24_521q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_25_520q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_26_519q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_27_518q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_28_517q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_29_516q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_2_543q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_30_515q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_31_514q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_3_542q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_4_541q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_5_540q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_6_539q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_7_538q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_8_537q <= '0';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_9_536q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout = '0') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_0_581q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_0_429m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_10_571q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_10_419m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_11_570q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_11_418m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_12_569q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_12_417m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_13_568q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_13_416m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_14_567q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_14_415m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_15_566q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_15_414m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_16_565q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_16_413m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_17_564q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_17_412m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_18_563q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_18_411m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_19_562q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_19_410m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_1_580q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_1_428m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_20_561q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_20_409m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_21_560q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_21_408m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_22_559q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_22_407m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_23_558q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_23_406m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_24_557q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_24_405m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_25_556q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_25_404m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_26_555q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_26_403m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_27_554q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_27_402m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_28_553q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_28_401m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_29_552q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_29_400m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_2_579q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_2_427m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_30_551q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_30_399m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_31_550q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_31_398m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_3_578q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_3_426m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_4_577q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_4_425m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_5_576q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_5_424m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_6_575q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_6_423m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_7_574q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_7_422m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_8_573q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_8_421m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_address_9_572q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_9_420m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_debugaccess_584q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_debugaccess_436m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_read_583q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_read_431m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_write_582q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_write_430m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_0_545q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_0_397m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_10_535q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_10_387m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_11_534q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_11_386m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_12_533q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_12_385m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_13_532q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_13_384m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_14_531q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_14_383m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_15_530q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_15_382m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_16_529q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_16_381m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_17_528q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_17_380m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_18_527q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_18_379m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_19_526q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_19_378m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_1_544q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_1_396m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_20_525q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_20_377m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_21_524q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_21_376m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_22_523q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_22_375m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_23_522q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_23_374m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_24_521q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_24_373m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_25_520q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_25_372m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_26_519q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_26_371m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_27_518q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_27_370m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_28_517q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_28_369m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_29_516q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_29_368m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_2_543q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_2_395m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_30_515q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_30_367m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_31_514q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_31_366m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_3_542q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_3_394m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_4_541q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_4_393m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_5_540q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_5_392m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_6_539q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_6_391m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_7_538q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_7_390m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_8_537q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_8_389m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_writedata_9_536q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_9_388m_dataout;
			END IF;
		END IF;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_burstcount_0_513q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_0_549q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_1_548q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_2_547q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_3_546q <= '1';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout = '0') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_burstcount_0_513q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_burstcount_0_365m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_0_549q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_0_435m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_1_548q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_1_434m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_2_547q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_2_433m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_3_546q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_3_432m_dataout;
			END IF;
		END IF;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_burstcount_0_513q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_0_549q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_1_548q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_2_547q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_byteenable_3_546q <= '1' after 1 ps;
		end if;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q <= '1';
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_waitrequest_292q <= '1';
		ELSIF (clk = '1' AND clk'event) THEN
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_291m_dataout;
				lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_waitrequest_292q <= s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout;
		END IF;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q <= '1' after 1 ps;
		end if;
		if (now = 0 ns) then
			lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_waitrequest_292q <= '1' after 1 ps;
		end if;
	END PROCESS;
	wire_nO_w107w(0) <= NOT lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_waitrequest_292q;
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_290m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q OR s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wait_rise_217_dataout;
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_291m_dataout <= wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_290m_dataout AND s_wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_cmd_waitrequest_438_dataout;
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_0_429m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_0_362q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(0);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_10_419m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_10_352q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(10);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_11_418m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_11_351q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(11);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_12_417m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_12_350q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(12);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_13_416m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_13_349q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(13);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_14_415m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_14_348q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(14);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_15_414m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_15_347q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(15);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_16_413m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_16_346q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(16);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_17_412m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_17_345q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(17);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_18_411m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_18_344q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(18);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_19_410m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_19_343q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(19);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_1_428m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_1_361q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(1);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_20_409m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_20_342q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(20);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_21_408m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_21_341q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(21);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_22_407m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_22_340q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(22);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_23_406m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_23_339q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(23);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_24_405m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_24_338q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(24);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_25_404m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_25_337q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(25);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_26_403m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_26_336q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(26);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_27_402m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_27_335q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(27);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_28_401m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_28_334q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(28);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_29_400m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_29_333q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(29);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_2_427m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_2_360q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(2);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_30_399m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_30_332q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(30);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_31_398m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_31_331q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(31);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_3_426m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_3_359q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(3);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_4_425m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_4_358q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(4);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_5_424m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_5_357q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(5);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_6_423m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_6_356q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(6);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_7_422m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_7_355q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(7);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_8_421m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_8_354q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(8);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_address_9_420m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_address_9_353q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_address(9);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_burstcount_0_365m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_burstcount_0_294q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_burstcount(0);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_0_435m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_0_330q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_byteenable(0);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_1_434m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_1_329q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_byteenable(1);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_2_433m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_2_328q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_byteenable(2);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_byteenable_3_432m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_byteenable_3_327q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_byteenable(3);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_debugaccess_436m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_debugaccess_512q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_debugaccess;
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_read_431m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_read_364q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_read;
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_write_430m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_write_363q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_write;
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_0_397m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_0_326q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(0);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_10_387m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_10_316q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(10);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_11_386m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_11_315q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(11);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_12_385m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_12_314q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(12);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_13_384m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_13_313q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(13);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_14_383m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_14_312q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(14);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_15_382m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_15_311q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(15);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_16_381m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_16_310q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(16);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_17_380m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_17_309q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(17);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_18_379m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_18_308q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(18);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_19_378m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_19_307q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(19);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_1_396m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_1_325q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(1);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_20_377m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_20_306q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(20);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_21_376m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_21_305q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(21);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_22_375m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_22_304q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(22);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_23_374m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_23_303q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(23);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_24_373m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_24_302q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(24);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_25_372m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_25_301q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(25);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_26_371m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_26_300q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(26);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_27_370m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_27_299q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(27);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_28_369m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_28_298q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(28);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_29_368m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_29_297q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(29);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_2_395m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_2_324q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(2);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_30_367m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_30_296q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(30);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_31_366m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_31_295q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(31);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_3_394m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_3_323q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(3);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_4_393m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_4_322q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(4);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_5_392m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_5_321q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(5);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_6_391m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_6_320q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(6);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_7_390m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_7_319q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(7);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_8_389m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_8_318q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(8);
	wire_lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_writedata_9_388m_dataout <= lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_wr_reg_writedata_9_317q WHEN lpddr2x32_s0_seq_bridge_altera_avalon_mm_bridge_seq_bridge_use_reg_293q = '1'  ELSE s0_writedata(9);

 END RTL; --LPDDR2x32_s0_seq_bridge
--synopsys translate_on
--VALID FILE
